summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-08-28 14:33:16 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:14 -0500
commitde8df85b5e2846dda6a84bf586cc05b6596a779b (patch)
tree9b96a651886d82a22a30a92f07d9bd9c9576715e /office
parent599267c42303ef206e25a6af505e6b1bc324231c (diff)
downloadslackbuilds-de8df85b5e2846dda6a84bf586cc05b6596a779b.tar.gz
slackbuilds-de8df85b5e2846dda6a84bf586cc05b6596a779b.tar.xz
office/impressive: Added (A fancy PDF presentation program)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/impressive/README15
-rw-r--r--office/impressive/impressive.SlackBuild66
-rw-r--r--office/impressive/impressive.info10
-rw-r--r--office/impressive/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/office/impressive/README b/office/impressive/README
new file mode 100644
index 0000000000..e4375b86e9
--- /dev/null
+++ b/office/impressive/README
@@ -0,0 +1,15 @@
+Impressive is a program that displays presentation slides. But unlike
+OpenOffice.org Impress or other similar applications, it does so with
+style. Smooth alpha-blended slide transitions are provided for the sake
+of eye candy, but in addition to this, Impressive offers some unique
+tools that are really useful for presentations.
+
+Creating presentations for Impressive is very simple: You just need to
+export a PDF file from your presentation software. This means that you
+can create slides in the application of your choice and use Impressive
+for displaying them. If your application does not support PDF output,
+you can alternatively use a set of pre-rendered image files or you use
+Impressive to make a slideshow with your favorite photos.
+
+This requires PyOpenGL, pygame. pdftk is optionally required for
+retrieving PDF metadata (page titles, hyperlinks).
diff --git a/office/impressive/impressive.SlackBuild b/office/impressive/impressive.SlackBuild
new file mode 100644
index 0000000000..7255a4f98a
--- /dev/null
+++ b/office/impressive/impressive.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for impressive
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=impressive
+VERSION=${VERSION:-0.10.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Impressive-$VERSION
+tar xvf $CWD/Impressive-$VERSION.tar.gz
+cd Impressive-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -D -m 0755 $PRGNAM.py $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/man/man1
+cat $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PRGNAM.html demo.pdf changelog.txt license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/impressive/impressive.info b/office/impressive/impressive.info
new file mode 100644
index 0000000000..2b82f016a9
--- /dev/null
+++ b/office/impressive/impressive.info
@@ -0,0 +1,10 @@
+PRGNAM="impressive"
+VERSION="0.10.2"
+HOMEPAGE="http://impressive.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/impressive/Impressive/0.10.2/Impressive-0.10.2.tar.gz"
+MD5SUM="492eda5e3e09beb2f6dc997ed94f5349"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/office/impressive/slack-desc b/office/impressive/slack-desc
new file mode 100644
index 0000000000..c47b1a441a
--- /dev/null
+++ b/office/impressive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+impressive: impressive (A fancy PDF presentation program)
+impressive:
+impressive: Impressive is a program that displays presentation slides. But unlike
+impressive: OpenOffice.org Impress or other similar applications, it does so with
+impressive: style. Smooth alpha-blended slide transitions are provided for the
+impressive: sake of eye candy, but in addition to this, Impressive offers some
+impressive: unique tools that are really useful for presentations.
+impressive:
+impressive: Homepage: http://impressive.sourceforge.net/
+impressive:
+impressive: